> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentscope.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Channel Types

> List supported channel types with their JSON schemas.



## OpenAPI

````yaml /versions/2.0.6dev/en/deploy/openapi.json get /channels/types
openapi: 3.1.0
info:
  title: AgentScope
  version: 2.0.6dev
servers: []
security: []
paths:
  /channels/types:
    get:
      tags:
        - channels
      summary: List Channel Types
      description: List supported channel types with their JSON schemas.
      operationId: list_channel_types_channels_types_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ChannelTypeSchema'
                type: array
                title: Response List Channel Types Channels Types Get
components:
  schemas:
    ChannelTypeSchema:
      properties:
        channel_type:
          type: string
          title: Channel Type
        display_name:
          type: string
          title: Display Name
        description:
          type: string
          title: Description
          default: ''
        icon_url:
          type: string
          title: Icon Url
          default: ''
        credentials_schema:
          additionalProperties: true
          type: object
          title: Credentials Schema
        config_schema:
          additionalProperties: true
          type: object
          title: Config Schema
        platform_bot_id_field:
          type: string
          title: Platform Bot Id Field
      type: object
      required:
        - channel_type
        - display_name
        - credentials_schema
        - config_schema
        - platform_bot_id_field
      title: ChannelTypeSchema
      description: |-
        Frontend-facing metadata for one channel type.

        Generated from a channel class. ``credentials_schema`` /
        ``config_schema`` are JSON Schemas the frontend renders as forms.

````